import { Kafka, KafkaMessage } from 'kafkajs';
import { Subjects } from './subjects';
interface Event {
    subject: Subjects;
    data: any;
}
export declare abstract class Listener<T extends Event> {
    abstract subject: T['subject'];
    abstract queueGroupName: string;
    abstract onMessage(data: T['data'], msg: KafkaMessage): void;
    private client;
    protected ackWait: number;
    constructor(kafka: Kafka, queueGroupName: string);
    listen(): Promise<void>;
    parseMessage(message: KafkaMessage): any;
}
export {};
