"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Listener = void 0;
class Listener {
    constructor(kafka, queueGroupName) {
        this.ackWait = 5 * 1000;
        this.client = kafka.consumer({ groupId: queueGroupName });
        this.client.connect();
    }
    listen() {
        return __awaiter(this, void 0, void 0, function* () {
            this.client.subscribe({ topic: this.subject });
            yield this.client.run({
                autoCommit: false,
                eachMessage: ({ topic, partition, message }) => __awaiter(this, void 0, void 0, function* () {
                    console.log(`Message received: ${this.subject} / ${this.queueGroupName}`);
                    const parsedData = this.parseMessage(message);
                    this.onMessage(parsedData, message);
                })
            });
        });
    }
    parseMessage(message) {
        const data = message.value;
        if (data) {
            return typeof data === 'string'
                ? JSON.parse(data)
                : JSON.parse(data.toString());
        }
    }
}
exports.Listener = Listener;
